IBM Install Manager 在CentosLinux 不能啟動問題解決

[root@co2 eclipse]# ./launcher
00:00.48 ERROR [main] com.ibm.cic.agent.internal.ui.AgentUI reportStatus
Could not load SWT library. Reasons:
/opt/IBM/InstallationManager/eclipse/configuration/org.eclipse.osgi/bundles/281/1/.cp/libswt-pi-gtk-4239.so (libgtk-x11-2.0.so.0: cannot open shared object file: No such file or directory)
swt-pi-gtk (Not found in java.library.path)
/root/.swt/lib/linux/x86_64/libswt-pi-gtk-4239.so (/root/.swt/lib/linux/x86_64/liblibswt-pi-gtk-4239.so.so: cannot open shared object file: No such file or directory)
/root/.swt/lib/linux/x86_64/libswt-pi-gtk.so (/root/.swt/lib/linux/x86_64/liblibswt-pi-gtk.so.so: cannot open shared object file: No such file or directory)
/root/.swt/lib/linux/x86_64/libswt-pi-gtk-4239.so (libgtk-x11-2.0.so.0: cannot open shared object file: No such file or directory)
java.lang.UnsatisfiedLinkError: Could not load SWT library. Reasons:
/opt/IBM/InstallationManager/eclipse/configuration/org.eclipse.osgi/bundles/281/1/.cp/libswt-pi-gtk-4239.so (libgtk-x11-2.0.so.0: cannot open shared object file: No such file or directory)
swt-pi-gtk (Not found in java.library.path)
/root/.swt/lib/linux/x86_64/libswt-pi-gtk-4239.so (/root/.swt/lib/linux/x86_64/liblibswt-pi-gtk-4239.so.so: cannot open shared object file: No such file or directory)
/root/.swt/lib/linux/x86_64/libswt-pi-gtk.so (/root/.swt/lib/linux/x86_64/liblibswt-pi-gtk.so.so: cannot open shared object file: No such file or directory)
/root/.swt/lib/linux/x86_64/libswt-pi-gtk-4239.so (libgtk-x11-2.0.so.0: cannot open shared object file: No such file or directory)

at org.eclipse.swt.internal.Library.loadLibrary(Library.java:331)
at org.eclipse.swt.internal.Library.loadLibrary(Library.java:240)
at org.eclipse.swt.internal.gtk.OS.<clinit>(OS.java:23)
at java.lang.J9VMInternals.initializeImpl(Native Method)

The displayed failed to initialize. See the log /opt/IBM/InstallationManager/eclipse/configuration/1526381523031.log for details.
[root@co2 eclipse]# yum search liblibswt-pi-gtk
Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
Warning: No matches found for: liblibswt-pi-gtk
No Matches found
[root@co2 eclipse]# yum search libswt-pi-gtk
Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
Warning: No matches found for: libswt-pi-gtk
No Matches found
[root@co2 eclipse]# yum search libswt
Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
Warning: No matches found for: libswt
No Matches found
[root@co2 eclipse]# yum search swt
Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
======================================================================== N/S Matched: swt =========================================================================
eclipse-swt.x86_64 : SWT Library for GTK+-2.0

Name and summary matches only, use “search all” for everything.
[root@co2 eclipse]# yum install eclipse-swt.x86_64
Loaded plugins: fastestmirror
Setting up Install Process
Loading mirror speeds from cached hostfile
Resolving Dependencies
–> Running transaction check
—> Package eclipse-swt.x86_64 1:3.6.1-6.13.el6 will be installed
–> Processing Dependency: xulrunner >= 1.9 for package: 1:eclipse-swt-3.6.1-6.13.el6.x86_64
–> Processing Dependency: gtk2 for package: 1:eclipse-swt-3.6.1-6.13.el6.x86_64
–> Running transaction check
—> Package gtk2.x86_64 0:2.24.23-9.el6 will be installed
–> Processing Dependency: pango >= 1.20.0-1 for package: gtk2-2.24.23-9.el6.x86_64
–> Processing Dependency: libXrandr >= 1.2.99.4-2 for package: gtk2-2.24.23-9.el6.x86_64
–> Processing Dependency: atk >= 1.29.4-2 for package: gtk2-2.24.23-9.el6.x86_64
–> Processing Dependency: hicolor-icon-theme for package: gtk2-2.24.23-9.el6.x86_64
–> Processing Dependency: libpangoft2-1.0.so.0()(64bit) for package: gtk2-2.24.23-9.el6.x86_64
–> Processing Dependency: libpangocairo-1.0.so.0()(64bit) for package: gtk2-2.24.23-9.el6.x86_64

Complete!
[root@co2 eclipse]# ./launcher
[root@co2 eclipse]#

以下文章點擊率最高

Loading…

發表評論